# WhirledServer (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.server
Class WhirledServer

    java.lang.Object
      com.threerings.presents.server.PresentsServer
          com.threerings.crowd.server.CrowdServer
              com.threerings.whirled.server.WhirledServer

Direct Known Subclasses:
  StageServer

    public abstract class WhirledServer

extends com.threerings.crowd.server.CrowdServer

The Whirled server extends the `CrowdServer` and provides access to managers and the like that are needed by the Whirled serviecs.

Nested Class Summary
`static class` `WhirledServer.WhirledModule` Configures dependencies needed by the Whirled server.

Nested classes/interfaces inherited from class com.threerings.crowd.server.CrowdServer
`com.threerings.crowd.server.CrowdServer.CrowdModule`

Nested classes/interfaces inherited from class com.threerings.presents.server.PresentsServer
`com.threerings.presents.server.PresentsServer.PresentsModule, com.threerings.presents.server.PresentsServer.PresentsServerModule`

Field Summary

Fields inherited from class com.threerings.presents.server.PresentsServer
`invmgr, omgr`

Constructor Summary
`WhirledServer()`

Method Summary
`void` `init(com.google.inject.Injector injector)`

Methods inherited from class com.threerings.crowd.server.CrowdServer
`main`

Methods inherited from class com.threerings.presents.server.PresentsServer
`queueShutdown, run, runServer`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WhirledServer

    public WhirledServer()

Method Detail

### init

    public void init(com.google.inject.Injector injector)
              throws Exception

  Overrides:
    `init` in class `com.threerings.crowd.server.CrowdServer`
  Throws:
    `Exception`

Copyright © 2011. All Rights Reserved.